#
# spec file for package kdegames4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdegames4
BuildRequires:  libkde4-devel libqca2-devel oxygen-icon-theme
%if %suse_version > 1030
BuildRequires:  ggz-client-libs-devel
%endif
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        General Data for KDE Games
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.1
Source0:        kdegames-%version.tar.bz2
Patch:          4_3_BRANCH.diff
Patch1:         desktop-files.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Requires:       libkdegames4 = %version
Suggests:       kblocks
Suggests:       asteroids
Suggests:       bomber
Suggests:       bovo
Suggests:       katomic
Suggests:       kbattleship
Suggests:       kblackbox
Suggests:       kbounce
Suggests:       kbreakout
Suggests:       kdiamond
Suggests:       kfourinline
Suggests:       kgoldrunner
Suggests:       kiriki
Suggests:       klines
Suggests:       kmahjongg
Suggests:       kmines
Suggests:       knetwalk
Suggests:       kolf
Suggests:       kollision
Suggests:       konquest
Suggests:       kpat
Suggests:       kreversi
Suggests:       ksame
Suggests:       kshisen
Suggests:       ksirk
Suggests:       kspaceduel
Suggests:       ksudoku
Suggests:       ktuberling
Suggests:       ktron
Suggests:       kubrick
Suggests:       lskat
Suggests:       squares
Suggests:       kapman
Suggests:       killbots

%description
This package contains data which is required by the KDE games library.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdegames-%version
%patch
%patch1

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  rm -rf $RPM_BUILD_ROOT%_kde_share_dir/apps/carddecks
  %create_subdir_filelist -d bomber
  %create_subdir_filelist -d bovo
  %create_subdir_filelist -d kapman
  %create_subdir_filelist -d katomic
  %create_subdir_filelist -d kbattleship
  %create_subdir_filelist -d kblackbox
  %create_subdir_filelist -d kblocks
  %create_subdir_filelist -d kbounce
  %create_subdir_filelist -d kbreakout
  %create_subdir_filelist -d kdiamond
  %create_subdir_filelist -d kfourinline
  %create_subdir_filelist -d kgoldrunner
  %create_subdir_filelist -d killbots
  %create_subdir_filelist -d kiriki
  %create_subdir_filelist -d kjumpingcube
  %create_subdir_filelist -d klines
  %create_subdir_filelist -d kmahjongg
  %create_subdir_filelist -d kmines
  %create_subdir_filelist -d knetwalk
  %create_subdir_filelist -d kolf
  %create_subdir_filelist -d kollision
  %create_subdir_filelist -d konquest
  %create_subdir_filelist -d kpat
  %create_subdir_filelist -d kreversi
  %create_subdir_filelist -d ksame
  %create_subdir_filelist -d kshisen
  %create_subdir_filelist -d ksirk
  %create_subdir_filelist -d kspaceduel
  %create_subdir_filelist -d ksquares
  %create_subdir_filelist -d ksudoku
  %create_subdir_filelist -d ktuberling
  %create_subdir_filelist -d ktron
  %create_subdir_filelist -d kubrick
  %create_subdir_filelist -d libkdegames -v libkdegames.devel
  %create_subdir_filelist -d libkmahjongg -f kmahjongg
  %create_subdir_filelist -d lskat
  cd ..
  sed -ri s,.*/usr/share/kde4/apps/carddecks.*,, filelists/libkdegames
  %create_exclude_filelist
  %suse_update_desktop_file -r KGoldrunner     Game ArcadeGame
  %suse_update_desktop_file -r kspaceduel      Game ArcadeGame
  %suse_update_desktop_file -r ktuberling      Game KidsGame
  %suse_update_desktop_file -r kblackbox       Game BoardGame
  %suse_update_desktop_file -r kmahjongg       Game BoardGame
  %suse_update_desktop_file -r kreversi        Game BoardGame
  %suse_update_desktop_file -r kshisen         Game BoardGame
  %suse_update_desktop_file -r kfourinline     Game BoardGame
  %suse_update_desktop_file -r kpat            Game CardGame
  %suse_update_desktop_file -r lskat           Game CardGame
  %suse_update_desktop_file -r katomic         Game LogicGame
  %suse_update_desktop_file -r klines          Game LogicGame
  %suse_update_desktop_file -r knetwalk KNetwalk "Tactical Game" Game LogicGame
  %suse_update_desktop_file -r kmines          Game LogicGame
  %suse_update_desktop_file -r konquest        Game LogicGame
  %suse_update_desktop_file -r ksame           Game LogicGame
  %suse_update_desktop_file -r kbounce         Game LogicGame
  %suse_update_desktop_file -r kolf            Game SportsGame
  %suse_update_desktop_file -r kiriki          Game BoardGame
  %suse_update_desktop_file -r ksquares        Game BoardGame
  %suse_update_desktop_file -r kapman          Game ArcadeGame
  %suse_update_desktop_file -r kbattleship     Game BoardGame
  %suse_update_desktop_file -G "Sudoku Puzzles" ksudoku Game LogicGame
  %kde_post_install
  for i in {16,22,32,48,64,128}; do
     mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/"$i"x"$i"/apps
     cp /usr/share/icons/oxygen/"$i"x"$i"/apps/bovo.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/"$i"x"$i"/apps/;
  done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT

%package -n libkdegames4
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        Library for KDE Games
Requires:       kdegames4-carddecks-default = %version
%if %suse_version > 1030
Requires:       ggz-client-libs
%endif
Recommends:     kdegames4-carddecks-other = %version
%kde4_runtime_requires

%description -n libkdegames4
This package contains the KDE games library.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n libkdegames4 -p /sbin/ldconfig

%postun -n libkdegames4 -p /sbin/ldconfig

%files -n libkdegames4 -f filelists/libkdegames
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%dir %_kde4_appsdir/kdegames
%dir %_kde4_appsdir/kdegames/pics

%package -n libkdegames4-devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        Library for KDE Games: Build Environment
Requires:       libkdegames4 = %version
Requires:       kdegames4 = %version

%description -n libkdegames4-devel
This package contains all necessary files and libraries needed to
develop KDE games.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n libkdegames4-devel -p /sbin/ldconfig

%postun -n libkdegames4-devel -p /sbin/ldconfig

%files -n libkdegames4-devel -f filelists/libkdegames.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%dir /usr/include/highscore
%dir /usr/include/KDE/KGame
%dir /usr/include/digits
%dir /usr/include/kgame
%dir /usr/include/kggzgames
%dir /usr/include/kggzmod
%dir /usr/include/kggznet
%_kde4_appsdir/cmake/modules/FindLibKDEGames.cmake
%_kde4_appsdir/cmake/modules/GGZ.cmake

%package -n katomic
License:        GPLv2+
Group:          Amusements/Games/Board/Puzzle
Summary:        Sokoban-like logic game
Provides:       kde4-katomic = 4.3.0
Obsoletes:      kde4-katomic < 4.3.0
%kde4_runtime_requires

%description -n katomic
KAtomic is a thinking game where you have to form chemical molecules
out of atoms. This is done with a nice graphical interface where you
can move each atom in a labyrinth.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n katomic -p /sbin/ldconfig

%postun -n katomic -p /sbin/ldconfig

%files -n katomic -f filelists/katomic
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kbattleship
License:        GPLv2+
Group:          Amusements/Games/Board/Other
Summary:        Battleship game
Provides:       kde4-kbattleship = 4.3.0
Obsoletes:      kde4-kbattleship < 4.3.0
%kde4_runtime_requires

%description -n kbattleship
KBatteship is a KDE implentation of the popular game "Battleship" where
you have to try to sink the opponents ships. The game can also be
played with friends online via the internet.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kbattleship -p /sbin/ldconfig

%postun -n kbattleship -p /sbin/ldconfig

%files -n kbattleship -f filelists/kbattleship
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kapman
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        General Data for KDE Games
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kapman = 4.3.0
Obsoletes:      kde4-kapman < 4.3.0
%kde4_runtime_requires

%description -n kapman
This package contains data which is required by the KDE games library.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kapman -p /sbin/ldconfig

%postun -n kapman -p /sbin/ldconfig

%files -n kapman -f filelists/kapman
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%dir /usr/share/sounds/kapman

%package -n kblocks
License:        LGPLv2.1+
Group:          Amusements/Games/Strategy/Real Time
Summary:        KBlocks - classic falling blocks game
%kde4_runtime_requires

%description -n kblocks
KBlocks is the KDE version of the classic falling blocks game



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kblocks -p /sbin/ldconfig

%postun -n kblocks -p /sbin/ldconfig

%files -n kblocks -f filelists/kblocks
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kbreakout
License:        LGPLv2.1+
Group:          Amusements/Games/Action/Breakout
Summary:        A breakout like game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kbreakout = 4.3.0
Obsoletes:      kde4-kbreakout < 4.3.0
%kde4_runtime_requires

%description -n kbreakout
KBreakout is the KDE version of a Breakout like game



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kbreakout -p /sbin/ldconfig

%postun -n kbreakout -p /sbin/ldconfig

%files -n kbreakout -f filelists/kbreakout
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n ksirk
License:        LGPLv2.1+
Group:          Amusements/Games/Strategy/Turn Based
Summary:        ksirk
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-ksirk = 4.3.0
Obsoletes:      kde4-ksirk < 4.3.0
%kde4_runtime_requires

%description -n ksirk
ksirk is a computerized version of a well known strategy game.



Authors:
--------
    The KDE Team <kde@kde.org>

%postun -n ksirk -p /sbin/ldconfig

%files -n ksirk -f filelists/ksirk
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%dir %_kde4_appsdir/ksirkskineditor
%dir %_kde4_htmldir/en/ksirkskineditor

%package -n ktron
License:        GPLv2+
Group:          Amusements/Games/Action/Arcade
Summary:        Tron-like game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-ktron = 4.3.0
Obsoletes:      kde4-ktron < 4.3.0
%kde4_runtime_requires

%description -n ktron
Well known from the famous movie, Tron is a popular computer game for
two players. In a fast action sequence both players have to move and
avoid colliding with any walls, the opponent as well as the own path.
The player colliding first looses the game.



Authors:
--------
    The KDE Team <kde@kde.org>

%postun -n ktron -p /sbin/ldconfig

%files -n ktron -f filelists/ktron
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kollision
License:        LGPLv2.1+
Group:          Amusements/Games/Action/Arcade
Summary:        Kollision
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kollision = 4.3.0
Obsoletes:      kde4-kollision < 4.3.0
%kde4_runtime_requires

%description -n kollision
KDE version of a classic arcade game



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kollision -p /sbin/ldconfig

%postun -n kollision -p /sbin/ldconfig

%files -n kollision -f filelists/kollision
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kdiamond
License:        LGPLv2.1+
Group:          Amusements/Games/Board/Puzzle
Summary:        Single player puzzle game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kdiamond = 4.3.0
Obsoletes:      kde4-kdiamond < 4.3.0
%kde4_runtime_requires

%description -n kdiamond
The object of the game is to build lines of three similar diamonds.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kdiamond -p /sbin/ldconfig

%postun -n kdiamond -p /sbin/ldconfig

%files -n kdiamond -f filelists/kdiamond
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kubrick
License:        LGPLv2.1+
Group:          Amusements/Games/Logic
Summary:        Kubrick is a game based on Rubik's Cube
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kubrick = 4.3.0
Obsoletes:      kde4-kubrick < 4.3.0
%kde4_runtime_requires

%description -n kubrick
This package contains the KDE game Kubrick which is based on Rubik's
Cube.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kubrick -p /sbin/ldconfig

%postun -n kubrick -p /sbin/ldconfig

%files -n kubrick -f filelists/kubrick
%defattr(-,root,root)

%package -n kblackbox
License:        GPLv2+
Group:          Amusements/Games/Board/Puzzle
Summary:        Logic game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kblackbox = 4.3.0
Obsoletes:      kde4-kblackbox < 4.3.0
%kde4_runtime_requires

%description -n kblackbox
KBlackbox is a graphical logical game, inspired by emacs' blackbox. It
is a game of hide and seek played on an grid of boxes.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kblackbox -p /sbin/ldconfig

%postun -n kblackbox -p /sbin/ldconfig

%files -n kblackbox -f filelists/kblackbox
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kbounce
License:        GPLv2+
Group:          Amusements/Games/Action/Other
Summary:        Bounce ball game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kbounce = 4.3.0
Obsoletes:      kde4-kbounce < 4.3.0
%kde4_runtime_requires

%description -n kbounce
Your task in KBounce (Jezz Ball) is to catch several moving balls in a
rectangular game field by building walls. The motivation consists of
finding new and advanced strategies to catch as many balls as possible.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kbounce -p /sbin/ldconfig

%postun -n kbounce -p /sbin/ldconfig

%files -n kbounce -f filelists/kbounce
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kgoldrunner
License:        GPLv2+
Group:          Amusements/Games/Action/Arcade
Summary:        Action & Puzzle Solving Game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kgoldrunner = 4.3.0
Obsoletes:      kde4-kgoldrunner < 4.3.0
%kde4_runtime_requires

%description -n kgoldrunner
KGoldrunner is a game of action and puzzle solving



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kgoldrunner -p /sbin/ldconfig

%postun -n kgoldrunner -p /sbin/ldconfig

%files -n kgoldrunner -f filelists/kgoldrunner
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n klines
License:        GPLv2+
Group:          Amusements/Games/Board/Puzzle
Summary:        Tactical game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-klines = 4.3.0
Obsoletes:      kde4-klines < 4.3.0
%kde4_runtime_requires

%description -n klines
Klines is the KDE version of the russian game Lines where you have to
align five game pieces of the same colour in one line to remove them
from the game board. Similar to tetris you fight new pieces appearing.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n klines -p /sbin/ldconfig

%postun -n klines -p /sbin/ldconfig

%files -n klines -f filelists/klines
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kmahjongg
License:        GPLv2+
Group:          Amusements/Games/Board/Puzzle
Summary:        Mahjongg game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kmahjongg = 4.3.0
Obsoletes:      kde4-kmahjongg < 4.3.0
%kde4_runtime_requires

%description -n kmahjongg
KMahjongg is a clone of the well known tile based patience game of the
same name. In the game you have to empty a game board filled with piece
by removing pieces of the same type.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kmahjongg -p /sbin/ldconfig

%postun -n kmahjongg -p /sbin/ldconfig

%files -n kmahjongg -f filelists/kmahjongg
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%dir %_kde4_appsdir/kmahjongglib

%package -n killbots
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        General Data for KDE Games
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-killbots = 4.3.0
Obsoletes:      kde4-killbots < 4.3.0
%kde4_runtime_requires

%description -n killbots
This package contains data which is required by the KDE games library.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n killbots -p /sbin/ldconfig

%postun -n killbots -p /sbin/ldconfig

%files -n killbots -f filelists/killbots
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%dir %_kde4_appsdir/kmahjongglib/backgrounds
%dir %_kde4_appsdir/kmahjongglib/tilesets

%package -n kmines
License:        GPLv2+
Group:          Amusements/Games/Board/Puzzle
Summary:        Minesweeper-like game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kmines = 4.3.0
Obsoletes:      kde4-kmines < 4.3.0
%kde4_runtime_requires
Provides:       kdegames3:/opt/kde3/bin/kmines

%description -n kmines
KMines is the classical Minesweeper game where you have to find mines
by logical deduction.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kmines -p /sbin/ldconfig

%postun -n kmines -p /sbin/ldconfig

%files -n kmines -f filelists/kmines
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%config %_kde_config_dir/kmines.knsrc

%package -n kjumpingcube
License:        GPLv2+
Group:          Amusements/Games/Board/Puzzle
Summary:        Tactical board game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kjumpingcube = 4.3.0
Obsoletes:      kde4-kjumpingcube < 4.3.0
%kde4_runtime_requires

%description -n kjumpingcube
KJumpingCube is a tactical one or two-player game. The playing field
consists of squares that contains points which can be increased. By
this you can gain more fields and finally win the board over.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n kjumpingcube -f filelists/kjumpingcube
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n knetwalk
License:        GPLv2+
Group:          Amusements/Games/Board/Puzzle
Summary:        Puzzle game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-knetwalk = 4.3.0
Obsoletes:      kde4-knetwalk < 4.3.0
%kde4_runtime_requires

%description -n knetwalk
Turn the board pieces to get all computers connected.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n knetwalk -p /sbin/ldconfig

%postun -n knetwalk -p /sbin/ldconfig

%files -n knetwalk -f filelists/knetwalk
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kolf
License:        GPLv2+
Group:          Amusements/Games/Other
Summary:        Miniature golf game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kolf = 4.3.0
Obsoletes:      kde4-kolf < 4.3.0
%kde4_runtime_requires

%description -n kolf
Kolf is a miniature golf game for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kolf -p /sbin/ldconfig

%postun -n kolf -p /sbin/ldconfig

%files -n kolf -f filelists/kolf
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n konquest
License:        GPLv2+
Group:          Amusements/Games/Board/Card
Summary:        Galactic strategy game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-konquest = 4.3.0
Obsoletes:      kde4-konquest < 4.3.0
%kde4_runtime_requires

%description -n konquest
This the KDE version of Gnu-Lactic Konquest, a multi-player strategy
game. The goal of the game is to expand your interstellar empire across
the galaxy.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n konquest -p /sbin/ldconfig

%postun -n konquest -p /sbin/ldconfig

%files -n konquest -f filelists/konquest
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kpat
License:        GPLv2+
Group:          Amusements/Games/Board/Card
Summary:        Patience card game
Requires:       kdegames4 >= %_kde_platform_version
%kde4_runtime_requires
Provides:       kdegames3 = 3.5.1
Obsoletes:      kdegames3 <= 3.5.1
Provides:       kde4-kpat = 4.3.0
Obsoletes:      kde4-kpat < 4.3.0

%description -n kpat
KPatience is a collection of various patience games known all over the
world. It includes Klondike, Freecell, Yukon, Forty and Eight and many
more. The game has nice graphics and many different carddecks.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kpat -p /sbin/ldconfig

%postun -n kpat -p /sbin/ldconfig

%files -n kpat -f filelists/kpat
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kreversi
License:        GPLv2+
Group:          Amusements/Games/Board/Other
Summary:        Reversi board game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kreversi = 4.3.0
Obsoletes:      kde4-kreversi < 4.3.0
%kde4_runtime_requires

%description -n kreversi
KReversi is a board game game where two players have to gain the
majority of pieces on the board. This is done by tactically placing
ones pieces to turn over the opponents pieces.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kreversi -p /sbin/ldconfig

%postun -n kreversi -p /sbin/ldconfig

%files -n kreversi -f filelists/kreversi
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n ksame
License:        GPLv2+
Group:          Amusements/Games/Board/Other
Summary:        Strategic board game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-ksame = 4.3.0
Obsoletes:      kde4-ksame < 4.3.0
%kde4_runtime_requires

%description -n ksame
KSame is a simple game played for the high score. It has been inspired
by SameGame, which is only really famous on the Macintosh.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n ksame -p /sbin/ldconfig

%postun -n ksame -p /sbin/ldconfig

%files -n ksame -f filelists/ksame
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kshisen
License:        GPLv2+
Group:          Amusements/Games/Board/Other
Summary:        Shisen-Sho Mahjongg-like game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kshisen = 4.3.0
Obsoletes:      kde4-kshisen < 4.3.0
%kde4_runtime_requires

%description -n kshisen
Shisen-Sho (KShishen) is a game similar to Mahjongg. The object of the
game is to remove all tiles from the field. This is done by removing
two tiles with of the same type until no tile is left.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kshisen -p /sbin/ldconfig

%postun -n kshisen -p /sbin/ldconfig

%files -n kshisen -f filelists/kshisen
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kspaceduel
License:        GPLv2+
Group:          Amusements/Games/Action/Arcade
Summary:        Space arcade game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kspaceduel = 4.3.0
Obsoletes:      kde4-kspaceduel < 4.3.0
%kde4_runtime_requires

%description -n kspaceduel
KSpaceduel is a space arcade game for two players. However, one player
can be controlled by the computer. Each player controls a satellite
that flies around the sun. While doing so both players try not to
collide with anything but shoot at the other space ship.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kspaceduel -p /sbin/ldconfig

%postun -n kspaceduel -p /sbin/ldconfig

%files -n kspaceduel -f filelists/kspaceduel
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n ktuberling
License:        GPLv2+
Group:          Amusements/Toys/Other
Summary:        Potato drawing editor
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-ktuberling = 4.3.0
Obsoletes:      kde4-ktuberling < 4.3.0
%kde4_runtime_requires

%description -n ktuberling
KTuberling is a nice potato editor for kids. The game intended for
small children. Of course, it may be suitable for adults who have
remained young at heart. Eyes, mouths, mustache, and other parts of
face and goodies can be attached onto a potato-like guy.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n ktuberling -p /sbin/ldconfig

%postun -n ktuberling -p /sbin/ldconfig

%files -n ktuberling -f filelists/ktuberling
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n kfourinline
License:        GPLv2+
Group:          Amusements/Toys/Other
Summary:        Four Wins game
Provides:       kde4-kwin4 = 3.97.1
Obsoletes:      kde4-kwin4 <= 3.97.1
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kfourinline = 4.3.0
Obsoletes:      kde4-kfourinline < 4.3.0
%kde4_runtime_requires

%description -n kfourinline
Four wins is a two player board game which follows the rules for the
Connect Four (TM) board game where you have to align four pieces of the
same colour to win.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kfourinline -p /sbin/ldconfig

%postun -n kfourinline -p /sbin/ldconfig

%files -n kfourinline -f filelists/kfourinline
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n lskat
License:        GPLv2+
Group:          Amusements/Games/Board/Card
Summary:        German Skat game
Provides:       kde4-lskat = 4.3.0
Obsoletes:      kde4-lskat < 4.3.0
%kde4_runtime_requires

%description -n lskat
Lieutenant Skat is a nice two player card game which follows the rules
for the German game (Offiziers)-Skat. The program includes many
different carddecks to choose. A computer opponent can play for any of
the players.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n lskat -p /sbin/ldconfig

%postun -n lskat -p /sbin/ldconfig

%files -n lskat -f filelists/lskat
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README

%package -n ksquares
License:        GPLv2+
Group:          Amusements/Games/Action/Arcade
Summary:        Strategic board game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-ksquares = 4.3.0
Obsoletes:      kde4-ksquares < 4.3.0
%kde4_runtime_requires

%description -n ksquares
KSquares is an implementation of the popular paper based game squares.
You must draw lines to complete squares, the player with the most
squares wins. You can play with up to 4 players, any number of which
may be controlled by the computer.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n ksquares -p /sbin/ldconfig

%postun -n ksquares -p /sbin/ldconfig

%files -n ksquares -f filelists/ksquares
%defattr(-,root,root)

%package -n kiriki
License:        GPLv2+
Group:          Amusements/Games/Board/Other
Summary:        Yahtzee-like Game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-kiriki = 4.3.0
Obsoletes:      kde4-kiriki < 4.3.0
%kde4_runtime_requires

%description -n kiriki
Kiriki is the KDE version of the dice game Yahtzee where you roll dices
to get higher scores in several combinations



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kiriki -p /sbin/ldconfig

%postun -n kiriki -p /sbin/ldconfig

%files -n kiriki -f filelists/kiriki
%defattr(-,root,root)

%package -n bovo
License:        GPLv2+
Group:          Amusements/Games/Board/Other
Summary:        Five-in-a-row Board Game
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-bovo = 4.3.0
Obsoletes:      kde4-bovo < 4.3.0
%kde4_runtime_requires

%description -n bovo
Bovo is a Gomoku (Connect Five, Five in a row, X and O, etc) game for
KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n bovo -p /sbin/ldconfig

%postun -n bovo -p /sbin/ldconfig

%files -n bovo -f filelists/bovo
%defattr(-,root,root)
%_kde4_iconsdir/hicolor/*/apps/bovo.*

%package -n ksudoku
License:        GPLv2+
Group:          Amusements/Games/Board/Puzzle
Summary:        Generate and Solve Sudoku Puzzles in 2D or 3D
Requires:       kdegames4 >= %_kde_platform_version
%kde4_runtime_requires
Provides:       kde4-ksudoku = 4.3.0
Obsoletes:      kde4-ksudoku < 4.3.0

%description -n ksudoku
KSudoku is a program that can generate and solve sudoku puzzles. The
word Sudoku means "single number in an alloted place" in Japanese. Some
cells are filled with a number at the beginnning: the remaining are to
be filled by the player using numbers from 1 to 9, without repeating a
number twice on each column, row, or subsquare.



Authors:
--------
    Francesco Rossi <redsh@email.it>

%post -n ksudoku -p /sbin/ldconfig

%postun -n ksudoku -p /sbin/ldconfig

%files -n ksudoku -f filelists/ksudoku
%defattr(-,root,root)

%package -n bomber
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        General Data for KDE Games
Requires:       kdegames4 >= %_kde_platform_version
Provides:       kde4-bomber = 4.3.0
Obsoletes:      kde4-bomber < 4.3.0
%kde4_runtime_requires

%description -n bomber
This package contains data which is required by the KDE games library.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n bomber -p /sbin/ldconfig

%postun -n bomber -p /sbin/ldconfig

%files -n bomber -f filelists/bomber
%defattr(-,root,root)

%files -f filelists/exclude
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%_kde4_appsdir/kdegames
#%doc %lang(en) /usr/share/doc/kde/HTML/en/kbackgammon

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: fix update bug in kgamethemeselector
* Wed Sep 16 2009 coolo@novell.com
- do branch update for improved translations
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Tue Aug 18 2009 beineri@opensuse.org
- fix bovo menu entry icon
* Thu Jul 30 2009 coolo@novell.com
- take the default carddeck into -default
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Wed Jul  8 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu May 14 2009 dmueller@suse.de
- add runtime requires to lib
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Sat Apr  4 2009 coolo@suse.de
- refresh all patches to fix build
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Mon Feb 23 2009 dmueller@suse.de
- update branch diff for gcc 4.4 build fixes
* Wed Feb 18 2009 dmueller@suse.de
- update branch diff
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Tue Dec 16 2008 stbinner@suse.de
- versionized split-provides are not supported
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obsoletes
* Tue Nov 11 2008 coolo@suse.de
- manually adding r879382 to fix "ugly default card deck"
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Thu Sep 11 2008 stbinner@suse.de
- branch diff update (many kpat fixes)
- dump unnecssary requirements on empty kdegames4 package
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Thu Jul 31 2008 dmueller@suse.de
- branch diff update
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Mon Jul  7 2008 dmueller@suse.de
- update to 4.0.85
* Mon Jun 30 2008 stbinner@suse.de
- fix file list
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Tue Jun  3 2008 stbinner@suse.de
- fix default cardset of kpat
* Sun May 11 2008 coolo@suse.de
- do not display kpat debug messages (bnc#389167)
* Fri May  9 2008 dmueller@suse.de
- 4_0_BRANCH.diff update:
  * fix config saving in various games
* Tue May  6 2008 coolo@suse.de
- fix obsoletes for ksudoku
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Fri Apr 25 2008 dmueller@suse.de
- add missing obsoletes
* Mon Apr 21 2008 dmueller@suse.de
- fix file lists
* Sun Apr 13 2008 dmueller@suse.de
- update 4_0_BRANCH.diff to fix cmake 2.6 build
* Fri Apr  4 2008 wstephenson@suse.de
- Fix detection of GGZ libraries on factory
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Tue Mar 11 2008 dmueller@suse.de
- typo fix
* Tue Mar 11 2008 dmueller@suse.de
- update 4_0_BRANCH.diff:
  * backport 784428 to fix klines bug 158123
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Wed Feb 20 2008 coolo@suse.de
- backport some fix in trunk
* Fri Feb 15 2008 coolo@suse.de
- really fix kpat demo mode
* Wed Feb 13 2008 dmueller@suse.de
- 4_0_BRANCH.diff update to fix kpat demo mode
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sun Jan 20 2008 stbinner@suse.de
- update KDE_4_0_BRANCH.diff
* Sat Jan  5 2008 stbinner@suse.de
- update to 4.0 release
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Mon Dec 17 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Fri Oct 26 2007 dmueller@suse.de
- update to KDE 4.0 beta4
* Sat Oct 20 2007 dmueller@suse.de
- update to 3.94.1
* Tue Oct 16 2007 dmueller@suse.de
- update to KDE 4.0 beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720127
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Fri Sep 14 2007 stbinner@suse.de
- patch KMahjongg, KMines, KReversi and KPat to start with a bigger
  initial window size (#298995)
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712055
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703908
* Wed Aug 22 2007 stbinner@suse.de
- kpat's default carddeck changed last month, adapt split (#299574)
* Fri Aug 17 2007 stbinner@suse.de
- update to 3.92.0.svn697375
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697375
* Sat Jul 28 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 19 2007 stbinner@suse.de
- run suse_update_desktop_file macro on ksudoku.desktop
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn685967
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679001
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670142
* Mon Jun  4 2007 dmueller@suse.de
- fix build
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
- readd kjumpingcube, which was ported
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668119
* Mon May  7 2007 stbinner@suse.de
- update to new SVN snapshot (roughly KDE 4.0 Alpha)
* Fri Apr 27 2007 stbinner@suse.de
- initial package in abuild
